Обновление PostgreSQL 9.6.2, 9.5.6, 9.4.11, 9.3.16 и 9.2.20

09.02.2017 22:08

Доступны корректирующие обновления для всех поддерживаемых веток PostgreSQL: 9.6.2, 9.5.6, 9.4.11, 9.3.16 и 9.2.20, в которых представлена порция исправлений ошибок, в том числе устранены проблемы, которые могут привести к повреждению данных. Выпуск обновлений для ветки 9.2 продлится до сентября 2017 г., 9.3 до сентября 2018 г., 9.4 до декабря 2019 г., 9.5 до января 2021 г., 9.6 - до сентября 2021 года.

Из наиболее важных исправлений отмечается устранение ошибки, которая могла привести к некорректному построению индекса при выполнении операции "CREATE INDEX CONCURRENTLY" для ранее не индексированного столбца, если в момент выполнения команды осуществляется обновление данных в строках индексируемой таблицы. Другим важным изменением является устранение проблем при воссоздании данных из WAL-лога - при определённом стечении обстоятельств часть данных могла быть обрезана при выполнении операции VACUUM.